This is an automated email from the git hooks/post-receive script.

markus_wanner-guest pushed a commit to branch master
in repository postgis.

commit 926939fd2726b554db005f85d7b75d92f3fe66d8
Author: Markus Wanner <mar...@bluegap.ch>
Date:   Sat Apr 5 21:21:21 2014 +0200

    Revert 989425 and 34c838.
    
    The former is the lintian-override, where I think the warning is
    justified.
    
    The latter is the restructuring of the control file with cme,
    which brought at least one unwanted and undocumented change that
    broke things for some older distributions.
---
 debian/changelog                |  2 -
 debian/control                  | 97 +++++++++++++----------------------------
 debian/control.in               | 97 +++++++++++++----------------------------
 debian/source/lintian-overrides |  2 -
 4 files changed, 62 insertions(+), 136 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 73a165c..e632365 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -4,9 +4,7 @@ postgis (2.1.2+dfsg-1) unstable; urgency=medium
   * Update copyright file using copyright-format 1.0.
   * Repack upstream tarball, remove OGC test cases with unclear license.
     (closes: #743489)
-  * Restructure control file with cme.
   * Add gbp.conf to use pristine-tar by default.
-  * Add lintian override for untranslatable-debconf-templates false positive.
   * Add man page for raster2pgsql.
     (closes: #717307)
   * Bump Debhelper compatibility to 9.
diff --git a/debian/control b/debian/control
index fdc6574..d8d3218 100644
--- a/debian/control
+++ b/debian/control
@@ -1,55 +1,30 @@
 Source: postgis
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Stephen Frost <sfr...@debian.org>,
-           Francesco Paolo Lovergine <fran...@debian.org>,
-           Markus Wanner <mar...@bluegap.ch>,
-           Bas Couwenberg <sebas...@xs4all.nl>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dpkg-dev (>= 1.16.1~),
-               autotools-dev,
-               flex,
-               bison,
-               rdfind,
-               libgeos-dev (>= 3.3),
-               libjson0-dev (>= 0.9~),
-               libproj-dev (>= 4.6.0),
-               libssl-dev,
-               xsltproc,
-               docbook,
-               docbook-xsl,
-               imagemagick,
-               libcunit1-dev,
-               dblatex,
-               libxml2-dev (>= 2.5.0~),
-               libgtk2.0-dev,
-               libgdal-dev (>= 1.10.1-0~),
-               postgresql-server-dev-all,
-               postgresql-common (>= 148~),
-               postgresql
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: Stephen Frost <sfr...@debian.org>, Francesco Paolo
+ Lovergine <fran...@debian.org>, Markus Wanner <mar...@bluegap.ch>,
+ Bas Couwenberg <sebas...@xs4all.nl>
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), autotools-dev,
+ flex, bison, rdfind, libgeos-dev (>= 3.3), libjson0-dev (>= 0.9~),
+ libproj-dev (>= 4.6.0), libssl-dev, xsltproc, docbook, docbook-xsl,
+ imagemagick, libcunit1-dev, dblatex, libxml2-dev (>= 2.5.0~),
+ libgtk2.0-dev, libgdal-dev (>= 1.9.0~) | libgdal1-dev (>= 1.9.0~),
+ postgresql-server-dev-all, postgresql-common (>= 148~), postgresql
 Build-Depends-Indep: openjdk-8-jdk | openjdk-7-jdk,
-                     libpostgresql-jdbc-java,
-                     fastjar,
-                     libjts-java (>= 1.7),
-                     maven2,
-                     libmaven-clean-plugin-java,
-                     libmaven-jar-plugin-java,
-                     libsurefire-java,
-                     libmaven-compiler-plugin-java,
-                     libmaven-resources-plugin-java,
-                     maven-repo-helper
+ libpostgresql-jdbc-java, fastjar, libjts-java (>= 1.7), maven2,
+ libmaven-clean-plugin-java, libmaven-jar-plugin-java,
+ libsurefire-java, libmaven-compiler-plugin-java,
+ libmaven-resources-plugin-java, maven-repo-helper
 Standards-Version: 3.9.5
+Homepage: http://postgis.refractions.net/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/postgis.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/postgis.git
-Homepage: http://postgis.refractions.net/
 
 Package: postgis
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Suggests: postgresql-9.3-postgis-2.1,
-          postgis-doc
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: postgresql-9.3-postgis-2.1, postgis-doc
 Description: Geographic objects support for PostgreSQL
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
@@ -61,8 +36,8 @@ Description: Geographic objects support for PostgreSQL
  This package contains the PostGIS userland binaries, common files.
 
 Package: postgis-doc
-Architecture: all
 Section: doc
+Architecture: all
 Depends: ${misc:Depends}
 Suggests: postgis
 Description: Geographic objects support for PostgreSQL -- documentation
@@ -78,15 +53,10 @@ Description: Geographic objects support for PostgreSQL -- 
documentation
 Package: libpostgis-java
 Architecture: all
 Section: java
-Depends: libpostgresql-jdbc-java,
-         ${misc:Depends}
+Depends: libpostgresql-jdbc-java, ${misc:Depends}
 Suggests: postgresql-9.3-postgis-2.1
-Breaks: libpostgis-jdbc,
-        libpostgisjava,
-        postgresql-postgis-java
-Replaces: libpostgis-jdbc,
-          libpostgisjava,
-          postgresql-postgis-java
+Breaks: libpostgis-jdbc, libpostgisjava, postgresql-postgis-java
+Replaces: libpostgis-jdbc, libpostgisjava, postgresql-postgis-java
 Description: Geographic objects support for PostgreSQL -- JDBC support
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
@@ -100,9 +70,7 @@ Description: Geographic objects support for PostgreSQL -- 
JDBC support
 Package: liblwgeom-2.1.2
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends},
-         libjson0 (>= 0.9~),
-         ${misc:Depends}
+Depends: ${shlibs:Depends}, libjson0 (>= 0.9~), ${misc:Depends}
 Description: PostGIS "Lightweight Geometry" library
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
@@ -119,7 +87,7 @@ Package: liblwgeom-dev
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         liblwgeom-2.1.2 (= ${binary:Version})
+ liblwgeom-2.1.2 (= ${binary:Version})
 Breaks: postgis (<< 2.0.0)
 Description: PostGIS "Lightweight Geometry" library - Development files
  PostGIS adds support for geographic objects to the PostgreSQL
@@ -135,15 +103,12 @@ Description: PostGIS "Lightweight Geometry" library - 
Development files
  the development files.
 
 Package: postgresql-9.3-postgis-2.1
-Architecture: any
-Depends: ${shlibs:Depends},
-         postgresql-9.3,
-         postgresql-9.3-postgis-scripts,
-         liblwgeom-2.1.2,
-         ${misc:Depends}
-Recommends: postgis,
-            postgresql-contrib-9.3
+Depends: ${shlibs:Depends}, postgresql-9.3,
+ postgresql-9.3-postgis-scripts, liblwgeom-2.1.2,
+ ${misc:Depends}
+Recommends: postgis, postgresql-contrib-9.3
 Breaks: postgis (<< 1.2.1)
+Architecture: any
 Description: Geographic objects support for PostgreSQL 9.3
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
@@ -158,10 +123,10 @@ Package: postgresql-9.3-postgis-scripts
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: postgresql-9.3-postgis-2.1
-Breaks: postgresql-9.3-postgis-2.0-scripts (<< 2.1.0~),
-        postgresql-9.3-postgis-2.1-scripts (<< 2.1.0-4~)
 Replaces: postgresql-9.3-postgis-2.0-scripts (<< 2.1.0~),
-          postgresql-9.3-postgis-2.1-scripts (<< 2.1.0-4~)
+ postgresql-9.3-postgis-2.1-scripts (<< 2.1.0-4~)
+Breaks: postgresql-9.3-postgis-2.0-scripts (<< 2.1.0~),
+ postgresql-9.3-postgis-2.1-scripts (<< 2.1.0-4~)
 Description: Geographic objects support for PostgreSQL 9.3 -- scripts
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
diff --git a/debian/control.in b/debian/control.in
index 65e7337..f5ad43e 100644
--- a/debian/control.in
+++ b/debian/control.in
@@ -1,55 +1,30 @@
 Source: postgis
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
-Uploaders: Stephen Frost <sfr...@debian.org>,
-           Francesco Paolo Lovergine <fran...@debian.org>,
-           Markus Wanner <mar...@bluegap.ch>,
-           Bas Couwenberg <sebas...@xs4all.nl>
 Section: misc
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               dpkg-dev (>= 1.16.1~),
-               autotools-dev,
-               flex,
-               bison,
-               rdfind,
-               libgeos-dev (>= 3.3),
-               libjson0-dev (>= 0.9~),
-               libproj-dev (>= 4.6.0),
-               libssl-dev,
-               xsltproc,
-               docbook,
-               docbook-xsl,
-               imagemagick,
-               libcunit1-dev,
-               dblatex,
-               libxml2-dev (>= 2.5.0~),
-               libgtk2.0-dev,
-               libgdal-dev (>= 1.10.1-0~),
-               postgresql-server-dev-all,
-               postgresql-common (>= 148~),
-               postgresql
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Uploaders: Stephen Frost <sfr...@debian.org>, Francesco Paolo
+ Lovergine <fran...@debian.org>, Markus Wanner <mar...@bluegap.ch>,
+ Bas Couwenberg <sebas...@xs4all.nl>
+Build-Depends: debhelper (>= 8), dpkg-dev (>= 1.16.1~), autotools-dev,
+ flex, bison, rdfind, libgeos-dev (>= 3.3), libjson0-dev (>= 0.9~),
+ libproj-dev (>= 4.6.0), libssl-dev, xsltproc, docbook, docbook-xsl,
+ imagemagick, libcunit1-dev, dblatex, libxml2-dev (>= 2.5.0~),
+ libgtk2.0-dev, libgdal-dev (>= 1.9.0~) | libgdal1-dev (>= 1.9.0~),
+ postgresql-server-dev-all, postgresql-common (>= 148~), postgresql
 Build-Depends-Indep: openjdk-8-jdk | openjdk-7-jdk,
-                     libpostgresql-jdbc-java,
-                     fastjar,
-                     libjts-java (>= 1.7),
-                     maven2,
-                     libmaven-clean-plugin-java,
-                     libmaven-jar-plugin-java,
-                     libsurefire-java,
-                     libmaven-compiler-plugin-java,
-                     libmaven-resources-plugin-java,
-                     maven-repo-helper
+ libpostgresql-jdbc-java, fastjar, libjts-java (>= 1.7), maven2,
+ libmaven-clean-plugin-java, libmaven-jar-plugin-java,
+ libsurefire-java, libmaven-compiler-plugin-java,
+ libmaven-resources-plugin-java, maven-repo-helper
 Standards-Version: 3.9.5
+Homepage: http://postgis.refractions.net/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/postgis.git
 Vcs-Git: git://anonscm.debian.org/pkg-grass/postgis.git
-Homepage: http://postgis.refractions.net/
 
 Package: postgis
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Suggests: postgresql-NEWEST_PGVERSION-postgis-2.1,
-          postgis-doc
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Suggests: postgresql-NEWEST_PGVERSION-postgis-2.1, postgis-doc
 Description: Geographic objects support for PostgreSQL
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
@@ -61,8 +36,8 @@ Description: Geographic objects support for PostgreSQL
  This package contains the PostGIS userland binaries, common files.
 
 Package: postgis-doc
-Architecture: all
 Section: doc
+Architecture: all
 Depends: ${misc:Depends}
 Suggests: postgis
 Description: Geographic objects support for PostgreSQL -- documentation
@@ -78,15 +53,10 @@ Description: Geographic objects support for PostgreSQL -- 
documentation
 Package: libpostgis-java
 Architecture: all
 Section: java
-Depends: libpostgresql-jdbc-java,
-         ${misc:Depends}
+Depends: libpostgresql-jdbc-java, ${misc:Depends}
 Suggests: postgresql-NEWEST_PGVERSION-postgis-2.1
-Breaks: libpostgis-jdbc,
-        libpostgisjava,
-        postgresql-postgis-java
-Replaces: libpostgis-jdbc,
-          libpostgisjava,
-          postgresql-postgis-java
+Breaks: libpostgis-jdbc, libpostgisjava, postgresql-postgis-java
+Replaces: libpostgis-jdbc, libpostgisjava, postgresql-postgis-java
 Description: Geographic objects support for PostgreSQL -- JDBC support
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
@@ -100,9 +70,7 @@ Description: Geographic objects support for PostgreSQL -- 
JDBC support
 Package: liblwgeom-2.1.2
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends},
-         libjson0 (>= 0.9~),
-         ${misc:Depends}
+Depends: ${shlibs:Depends}, libjson0 (>= 0.9~), ${misc:Depends}
 Description: PostGIS "Lightweight Geometry" library
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
@@ -119,7 +87,7 @@ Package: liblwgeom-dev
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         liblwgeom-2.1.2 (= ${binary:Version})
+ liblwgeom-2.1.2 (= ${binary:Version})
 Breaks: postgis (<< 2.0.0)
 Description: PostGIS "Lightweight Geometry" library - Development files
  PostGIS adds support for geographic objects to the PostgreSQL
@@ -135,15 +103,12 @@ Description: PostGIS "Lightweight Geometry" library - 
Development files
  the development files.
 
 Package: postgresql-PGVERSION-postgis-2.1
-Architecture: any
-Depends: ${shlibs:Depends},
-         postgresql-PGVERSION,
-         postgresql-PGVERSION-postgis-scripts,
-         liblwgeom-2.1.2,
-         ${misc:Depends}
-Recommends: postgis,
-            postgresql-contrib-PGVERSION
+Depends: ${shlibs:Depends}, postgresql-PGVERSION,
+ postgresql-PGVERSION-postgis-scripts, liblwgeom-2.1.2,
+ ${misc:Depends}
+Recommends: postgis, postgresql-contrib-PGVERSION
 Breaks: postgis (<< 1.2.1)
+Architecture: any
 Description: Geographic objects support for PostgreSQL PGVERSION
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
@@ -158,10 +123,10 @@ Package: postgresql-PGVERSION-postgis-scripts
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: postgresql-PGVERSION-postgis-2.1
-Breaks: postgresql-PGVERSION-postgis-2.0-scripts (<< 2.1.0~),
-        postgresql-PGVERSION-postgis-2.1-scripts (<< 2.1.0-4~)
 Replaces: postgresql-PGVERSION-postgis-2.0-scripts (<< 2.1.0~),
-          postgresql-PGVERSION-postgis-2.1-scripts (<< 2.1.0-4~)
+ postgresql-PGVERSION-postgis-2.1-scripts (<< 2.1.0-4~)
+Breaks: postgresql-PGVERSION-postgis-2.0-scripts (<< 2.1.0~),
+ postgresql-PGVERSION-postgis-2.1-scripts (<< 2.1.0-4~)
 Description: Geographic objects support for PostgreSQL PGVERSION -- scripts
  PostGIS adds support for geographic objects to the PostgreSQL
  object-relational database. In effect, PostGIS "spatially enables"
diff --git a/debian/source/lintian-overrides b/debian/source/lintian-overrides
deleted file mode 100644
index 80e8515..0000000
--- a/debian/source/lintian-overrides
+++ /dev/null
@@ -1,2 +0,0 @@
-# False positive, the .in file is not a po-debconf template.
-postgis source: untranslatable-debconf-templates 
postgresql-generic-postgis-2.0-scripts.templates.in: *

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-grass/postgis.git

_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-grass-devel

Reply via email to